All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
10Log10
Arithmetic Operations

Ten times the decimal logarithm of each sample of a signal. More...

## Functions

NppStatus | npps10Log10_32s_Sfs_Ctx (const Npp32s *pSrc, Npp32s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integer signal 10 times base 10 logarithm, scale, then clamp to saturated value. More...
NppStatus | npps10Log10_32s_Sfs (const Npp32s *pSrc, Npp32s *pDst, int nLength, int nScaleFactor)
NppStatus | npps10Log10_32s_ISfs_Ctx (Npp32s *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integer signal 10 times base 10 logarithm, scale, then clamp to saturated value. More...
NppStatus | npps10Log10_32s_ISfs (Npp32s *pSrcDst, int nLength, int nScaleFactor)

## Detailed Description

Ten times the decimal logarithm of each sample of a signal.

## Function Documentation

NppStatus npps10Log10_32s_ISfs | ( | Npp32s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus npps10Log10_32s_ISfs_Ctx | ( | Npp32s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer signal 10 times base 10 logarithm, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus npps10Log10_32s_Sfs | ( | const Npp32s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus npps10Log10_32s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer signal 10 times base 10 logarithm, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation